local utils = require("utils.lua")
local config = require("config.lua")

local mod = {}


function mod.GetBasalt()
    if fs.exists("basalt.lua") then
        utils.MonPrint("Basalt found!")
    else
        utils.MonPrint("Downloading basalt...")
        local basalt_code = http.get(config.basalt_url).readAll()
        utils.MonPrint("Installing basalt...")

        local file = fs.open("basalt.lua", "w")
        if not file then
            utils.MonPrint("failed to get basalt")
            sleep(60)
            os.reboot()
        end

        file.write(utils.Cast(basalt_code))
        file.close()

        utils.MonPrint("Rebooting...")
        os.reboot()
    end
end

return mod
